# project-tools

基础的项目编译工具，真正零配置，开箱即用。

## Debug
```shell
# 编译包
npm run package-tools build
# 发布包
npm run package-tools publish
# 项目编译
ts-node tools/cli build 
ts-node tools/cli build --watch
npm-check -u
yarn-check -u
```

## Usage
```bash
# 微信小程序编译
npm run project-tools build 
# 微信小程序调试
npm run project-tools build --watch

# 普通lark项目编译
npm run project-tools build
# 普通lark项目调试
npm run project-tools build -- --watch

# 编译包
npm run package-tools build
# 发布包
npm run package-tools publish
# 生成api文档
npm run package-tools api-doc
# 编译项目文档
npm run package-tools doc
# 单元测试用例执行
npm run package-tools test
# 查询包更新
npm run npm-check -u
```

## Changelog
2018-11-16
- 增加init指令，可以快速输出生成完整的项目模版（拷贝src到当前目录，并输出tsconfig.json/tslint.json/.gitignore等文件）

2018-07-30
- 新增微信小程序编译支持，支持typescript写小程序啦，带完整typings，vscode/webstorm自动识别wx小程序Api，可脱离weixin IDE开发，可以使用完整es6语法和async/await，最终编译成es3，无需加载任何额外垫片和增加额外的代码量。
- 新增微信小程序less编译支持，无需安装任何编辑器插件，支持调试。
  `为什么要支持less？因为css的语法太弱。less支持更友好的多行注释和更简便的选择器生成`
- 支持小程序发布前，对js做压缩混淆处理，压缩wxml/css/json

see more... [@CHANGELOG](CHANGELOG.md)


